import { Http } from '@angular/http';
import { Observable } from 'rxjs/internal/Observable';
export declare class Link {
    href: string;
    text: string;
    rel: string;
    constructor(href: string, text?: string, rel?: string);
}
export declare class BPMNStoreService {
    private http;
    constructor(http: Http);
    getDiagram(url: string): Promise<string>;
    listDiagrams(): Observable<Link[]>;
}
